Subject: bug#67627: Do not show unsupported versions as upgradeable

From: francismb <[email-masked]>
Date: Mon, 4 Dec 2023 18:45:38 +0100

Dear Guix Maintainer Team,
I've currently 'guix pull'-ed

$ guix describe
   guix 597f1cd
     repository URL: https://git.savannah.gnu.org/git/guix.git
     branch: master
     commit: 597f1cd1c46ffb92c3e0145de0071545a4c64865

and I'm able to upgrade all packages individually but on "glibc-locales"
I get:

$ guix upgrade glibc-locales
guix upgrade: warning: Consider running 'guix pull' followed by
'guix package -u' to get up-to-date packages and security updates.

The following package will be upgraded:
    glibc-locales 2.35 → 2.37

guix upgrade: error: package [email-masked] does not support
x86_64-linux

IMHO the package manager is telling me: "that package could be upgraded
(-n)", but when I try to, then isn't supported? I'm not sure if that's
some misunderstanding on my side or may be one (potentially) useful
improvement to: ¨do not show unsupported versions" as upgradeable?

Thanks in advance,
francisMB